__doc__="Initialize ZRTChat"

# Version string. Usually updated automatically by CVS.

__version__ = '0.4.0' 

import ZRTChat
from ImageFile import ImageFile
# Step #2: define the initialize() function.


#this was the old way to get the images working
#misc_={'ChatItem': ImageFile('www/ChatItem.gif',globals())}


def initialize(registrar):
    """Initialize the ZRTChat product."""

    try:
        """Try to register the product."""
        registrar.registerClass(
            ZRTChat.ZRTChat,
            permissions=("Add Folders",),      # If you can add folders, you should be able to add these
            constructors = (               # The first of these is called
            ZRTChat.manage_addZRTChatForm, # when someone adds the product;
            ZRTChat.manage_addZRTChat),    # the second is named here so we
            icon = 'www/grin.gif')         # It's Marilyn Monroe!
        registrar.registerClass(
            ZRTChatItem.ChatItem,
            constructors=(ZRTChat.manage_addZRTChatForm, 
            ZRTChat.manage_addZRTChat),visibility=None,
            icon = 'www/ChatItem.gif')         #Visibility was added recently, so may be a problem


    except:

        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
